Bug 96986 - rhn_register does not allow non-alphanumeric characters in the password
rhn_register does not allow non-alphanumeric characters in the password
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-06-07 16:57 EDT by Eric West
Modified: 2015-01-07 19:05 EST (History)
4 users (show)

See Also:
Fixed In Version: current RHN
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-04 14:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric West 2003-06-07 16:57:55 EDT
Description of problem:

My password on RHN contains a non-alphanumeric character (e.g. "#"). I have no
problem logging on to RHN via a browser. However, the rhn_register application
refuses to accept the same set of password characters allowed on the RHN site.

Version-Release number of selected component (if applicable):

 up2date v3.1.23 rel 1

How reproducible:


Steps to Reproduce:
1. create a password on rhn (ex. zazo#xxx)
2. confirm rhn login works with the password
3. exec rhn_register with the same username and password used in (2)
Actual results:

Problem registering user name:

Error Message:
    password contains character `#'
Error Class Code: 15
Error Class Info: The username contains invalid characters.
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

Expected results:

   rhn_register succeeds

Additional info:
Comment 1 Jim Bills 2003-08-30 19:33:21 EDT
This bit me too using up2date v3.1.23 rel 2. Work-around: changed password to less
secure password on rhn. Sigh...
Comment 2 Adrian Likins 2005-10-04 14:36:12 EDT
fixed via server side changes

Note You need to log in before you can comment on or make changes to this bug.